Balance on Mac OS X 10.5.8

Balance requires Mac OS X 10.6.3 or higher to run efficiently.

Should you run Balance on 10.5.8, you might notice a sudden increase in latency and and unreasonably many audio dropouts. The only solution is to upgrade to 10.6, which is the first version of Mac OS fully supporting USB Audio 2.0.